## class Fl_PNG_Image

### Class Hierarchy

    Fl_RGB_Image
       |
       +----Fl_PNG_Image

### Include Files

    #include <FL/Fl_PNG_Image.H>

### Additional Libraries

    -lfltk_images  /  fltkimages.lib

### Description

The `Fl_PNG_Image` class supports loading, caching, and drawing of Portable Network Graphics (PNG) image files. The class loads colormapped and full-color images and handles color- and alpha-based transparency.

### Methods

- Fl_PNG_Image
- ~Fl_PNG_Image

#### Fl_PNG_Image::Fl_PNG_Image(const char *filename);

The constructor loads the named PNG image.

#### Fl_PNG_Image::~Fl_PNG_Image();

The destructor free all memory and server resources that are used by the image.